> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of sellable inventory.

> If you specify the SKU, then other query parameters are ignored.



## OpenAPI

````yaml /openapi.json get /api/v1/Inventories/Sellable
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Inventories/Sellable:
    get:
      tags:
        - Inventories
      summary: Gets a list of sellable inventory.
      description: If you specify the SKU, then other query parameters are ignored.
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: warehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          schema:
            type: string
        - name: subInventoryCode
          in: query
          description: "The code for the sub inventory where the inventory is\r\n            \r\n*IGNORED if SKU is included. \r\n             \r\n  eg. \"SHIP\" - PRIMARY"
          schema:
            type: string
        - name: sku
          in: query
          description: The SKU of an inventory
          schema:
            type: string
        - name: onHandOnly
          in: query
          description: "Whether to restrict the inventory to those which are on hand.\r\n            \r\n*IGNORED if SKU is included.\r\n            \r\n             \r\nDefaults to True (Restrict to on hand)"
          required: true
          schema:
            type: boolean
            default: 'true'
      responses:
        '200':
          description: Returns the list of sellable inventory
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryIEnumerableServiceResult'
components:
  schemas:
    InventoryIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/Inventory'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    Inventory:
      type: object
      properties:
        warehouseCode:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: GLW, WDI, PSO, SMA, SHW,MHT,AMC
        warehouseName:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        subInventoryName:
          type: string
          description: The Sub Inventory this inventory is in (Name)
          nullable: true
        qtyOnHand:
          type: integer
          description: The Quantity On Hand of this inventory
          format: int32
        qtyOnOrders:
          type: integer
          description: The Quantity On Orders of this inventory
          format: int32
        qtyOnIns:
          type: integer
          description: The Quantity of INs of this inventory
          format: int32
        qtyAvailableToSell:
          type: integer
          description: The Quantity available to sell
          format: int32
        qtyAvailableToPromise:
          type: integer
          description: The Quantity available to promise
          format: int32
      additionalProperties: false
      description: An item of inventory
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````